Bug 866432 - It should be "an error" instead of "a error" in the warning message when using "rhc app status"
It should be "an error" instead of "a error" in the warning message when usin...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 07:10 EDT by Yujie Zhang
Modified: 2015-05-14 22:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.99.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-10-15 07:10:48 EDT
Description of problem:

When I used the command "rhc app status -a app22 -l xx -p xx" to check the status of my application, the following message was displayed:

"Warning: This command is deprecated. Please use 'rhc app show --state' instead. For porting and testing purposes you may switch this warning to **a error** by setting the DISABLE_DEPRECATED environment variable to 1.  It is not recommended to do so in a production environment as this option may be removed in future releases.
"

Think it should be "an error" instead of "a error" in the message.

Version-Release number of selected component (if applicable):

rhc-0.99.5_devenv_2327

How reproducible:

always

Steps to Reproduce:
1.rhc domain create -n yujzhang999 -l xx -p xx
2.rhc app create -t jenkins-1.4 -a app22 -l xx -p xx
3.rhc app status -a app22 -l xx -p xx
  
Actual results:

There is warning message displayed:

"Warning: This command is deprecated. Please use 'rhc app show --state' instead. For porting and testing purposes you may switch this warning to **a error** by setting the DISABLE_DEPRECATED environment variable to 1.  It is not recommended to do so in a production environment as this option may be removed in future releases.
"

Expected results:

It should be "an error" instead of "a error" in the warning message.

Additional info:
Comment 1 Peter Ruan 2012-10-16 18:25:58 EDT
verified with rhc.0.99.7

[pruan@homer-linux <MASTER> bin]# rhc app status
Warning: This command is deprecated. Please use 'rhc app show --state'
instead. For porting and testing purposes you may switch this a warning to an
error by setting the DISABLE_DEPRECATED environment variable to 1.  It is not
recommended to do so in a production environment as this option may be removed
in future releases.

Note You need to log in before you can comment on or make changes to this bug.